@import '../rem';

.base {
    display: flex;
    align-items: center;

    .inputCheckbox {
        opacity: 0;
        position: absolute;
    }

    .labelCheckbox {
        position: relative;
        padding-left: rem(24px);
        cursor: pointer;
        outline: none;

        &:before {
            content: '';
            position: absolute;
            left: 0;
            top: 50%;
            transform: translateY(-50%);
            width: rem(16px);
            height: rem(16px);
            border: rem(1px) solid var(--color-gray);
            box-sizing: border-box;
            border-radius: rem(2px);
        }

        &:active {
            &:before {
                background: var(--color-gray);
            }
        }
    }
}

.inputCheckbox[type='checkbox']:checked + .labelCheckbox:before {
    background: var(--color-primary);
    background-image: url('./icon/check.svg');
    background-position: center;
    background-repeat: no-repeat;
    border-radius: rem(2px);
    border: none;
}

.inputCheckbox[type='checkbox']:checked + .labelCheckbox:active:before {
    background: var(--color-primary-active);
    background-image: url('./icon/check.svg');
    background-position: center;
    background-repeat: no-repeat;
}

.inputCheckbox[type='checkbox'].focus:focus + .labelCheckbox:before {
    box-shadow: 0 0 rem(1px) rem(3px) var(--color-primary-outline);
}

.inputCheckbox[type='checkbox']:disabled + .labelCheckbox {
    cursor: default;
}

.inputCheckbox[type='checkbox']:disabled + .labelCheckbox:before {
    background: var(--color-gray);
}

.inputCheckbox[type='checkbox']:checked:disabled + .labelCheckbox:before {
    background: var(--color-gray);
    background-image: url('./icon/disabled-check.svg');
    background-position: center;
    background-repeat: no-repeat;
    border-radius: rem(2px);
    border: none;
}


.error {
    .labelCheckbox {
        position: relative;
        padding-left: rem(24px);
        cursor: pointer;
        color: var(--color-alert);

        &:before {
            content: '';
            position: absolute;
            left: 0;
            top: 50%;
            transform: translateY(-50%);
            width: rem(16px);
            height: rem(16px);
            border: rem(1px) solid var(--color-alert);
            box-sizing: border-box;
            border-radius: rem(2px);
        }

        &:active {
            &:before {
                background: var(--color-white);
            }
        }
    }

    .inputCheckbox[type='checkbox']:checked + .labelCheckbox:before {
        background: var(--color-alert);
        background-image: url('./icon/check.svg');
        background-position: center;
        background-repeat: no-repeat;
        border-radius: rem(2px);
        border: none;
    }

    .inputCheckbox[type='checkbox']:checked + .labelCheckbox:active:before {
        background: var(--color-alert-active);
        background-image: url('./icon/check.svg');
        background-position: center;
        background-repeat: no-repeat;
    }

    .inputCheckbox[type='checkbox'].focus:focus + .labelCheckbox:before {
        box-shadow: 0 0 rem(1px) rem(3px) var(--color-alert-20);
    }
}

.mixed {
    .inputCheckbox[type='checkbox']:checked + .labelCheckbox:before {
        background: var(--color-primary);
        background-image: url('./icon/shape.svg');
        background-position: center;
        background-repeat: no-repeat;
        border-radius: rem(2px);
        border: none;
    }

    .inputCheckbox[type='checkbox']:checked + .labelCheckbox:active:before {
        background: var(--color-primary-active);
        background-image: url('./icon/shape.svg');
        background-position: center;
        background-repeat: no-repeat;
    }

    .inputCheckbox[type='checkbox']:checked:disabled + .labelCheckbox:before {
        background: var(--color-gray);
        background-image: url('./icon/disabled-shape.svg');
        background-position: center;
        background-repeat: no-repeat;
        border-radius: rem(2px);
        border: none;
    }
}
